Skip to main content
GET
/
v5
/
revenue
/
revenue
Get a revenue
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/revenue/revenue \
  --header 'Authorization: Bearer <token>'
{
  "amount": 50.01,
  "bankAccountId": 123,
  "id": 123,
  "status": "ACTIVE",
  "reviewStatus": "PARTNER_REVIEW_REQUIRED",
  "userAccess": "NONE",
  "accountantAccess": "NONE",
  "type": "BUSINESS",
  "date": "2022-01-04T10:20:00Z",
  "state": "UNKNOWN",
  "salesTaxAmount": 1.01,
  "description": "Gas purchase",
  "businessId": 123,
  "clientId": 123,
  "clientName": "<string>",
  "businessName": "<string>",
  "originalBusinessName": "<string>",
  "invoiceId": 123,
  "apiPaymentId": "<string>",
  "apiAccountId": "<string>",
  "apiAccountNo": "<string>",
  "apiAccountName": "<string>",
  "apiInstitutionId": "<string>",
  "bankTransferId": 123,
  "bankDescription": "<string>",
  "currencyType": "USD",
  "revenueAccountId": 123,
  "revenueRuleId": 123,
  "customData": {},
  "v6EntityId": "<string>",
  "apiOrderId": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

id
string
default:""
required

Id of the specific revenue

Response

200 - application/json

Successful operation

amount
number
required

Amount of the revenue

Example:

50.01

bankAccountId
integer<int64>
required

id of the user's bank account

id
integer<int64>

Id of the revenue, required when updating an existing revenue

status
enum<string>

Status of the revenue

Available options:
ACTIVE,
INACTIVE
reviewStatus
enum<string>

Review status of the revenue

Available options:
PARTNER_REVIEW_REQUIRED,
USER_REVIEW_REQUIRED,
ACCOUNTANT_REVIEW_REQUIRED,
RECONCILIATION_STAGED,
RECONCILED,
RECONCILIATION_DISCREPANCY,
ADJUSTMENT_USER_REVIEW_REQUIRED,
ADJUSTMENT_ACCOUNTANT_REVIEW_REQUIRED,
ADJUSTMENT_RECONCILIATION_STAGED,
RECONCILIATION_AWAITING,
PARTNER_REVIEW_REQUIRED,
USER_REVIEW_REQUIRED,
ACCOUNTANT_REVIEW_REQUIRED,
RECONCILIATION_STAGED,
RECONCILED,
RECONCILIATION_DISCREPANCY,
ADJUSTMENT_USER_REVIEW_REQUIRED,
ADJUSTMENT_ACCOUNTANT_REVIEW_REQUIRED,
ADJUSTMENT_RECONCILIATION_STAGED
userAccess
enum<string>

Access level for the user. This field uses the default configuration for the Partner; however, it can be overridden to manipulate how a user can interact with this revenue.

Available options:
NONE,
READ_ONLY,
READ_WRITE,
NONE,
READ_ONLY,
READ_WRITE
accountantAccess
enum<string>

Access level for the accountant. This field uses the default configuration for the Partner; however, it can be overridden to manipulate how an accountant can interact with this revenue.

Available options:
NONE,
READ_ONLY,
READ_WRITE,
NONE,
READ_ONLY,
READ_WRITE
type
enum<string>

Type of the revenue

Available options:
BUSINESS,
NOT_BUSINESS,
INVOICE_PAYMENT,
BANK_RECONCILED,
PENDING
date
string<date-time>

Date of the revenue

Example:

"2022-01-04T10:20:00Z"

state
enum<string>

State in which this revenue was received, used to calculate sales tax amount

Available options:
UNKNOWN,
AL,
AK,
AS,
AZ,
AR,
CA,
CO,
CT,
DE,
DC,
FM,
FL,
GA,
GU,
HI,
ID,
IL,
IN,
IA,
KS,
KY,
LA,
ME,
MD,
MH,
MA,
MI,
MN,
MS,
MO,
MT,
NE,
NV,
NH,
NJ,
NM,
NY,
NC,
ND,
MP,
OH,
OK,
OR,
PW,
PA,
PR,
RI,
SC,
SD,
TN,
TX,
UT,
VT,
VI,
VA,
WA,
WV,
WI,
WY,
AB,
BC,
MB,
NB,
NL,
NT,
NS,
NU,
ON,
PE,
QC,
SK,
YT
salesTaxAmount
number

Sales tax amount for the revenue

Example:

1.01

description
string

Description of the revenue

Example:

"Gas purchase"

businessId
integer<int64>

Id of the business assigned to this revenue, required for BUSINESS revenues

clientId
integer<int64>

Id of the client assigned to this revenue

clientName
string

Name of the client assigned to this revenue

businessName
string

Name of this business assigned to this revenue

originalBusinessName
string

Name of the original business on associated API

invoiceId
integer<int64>

Id of the invoice associated with this revenue

apiPaymentId
string

Id of the payment on associated API

apiAccountId
string

Id of the user's bank account on associated API

apiAccountNo
string

Mask of the user's bank account, often the last 4 digits of the account number

apiAccountName
string

Display name for the bank account from which this income originated

apiInstitutionId
string

Name or id of the institution from which this transaction originated

bankTransferId
integer<int64>

Bank transfer that paid out this revenue

bankDescription
string

Transaction description, similar to what will show on the user's bank statement

currencyType
enum<string>

Type of currency on this revenue

Available options:
USD,
CAD,
EUR,
GBP,
JPY
revenueAccountId
integer<int64>

Id of the GL account this revenue belongs to, defaults to the id of the 'Services Income' account

revenueRuleId
integer<int64>

Id of the rule that automatically classified this revenue

customData
object

Custom JSON in which you can store any data with max length of 2000 characters

v6EntityId
string

Entity id on the v6 API for this revenue

apiOrderId
string

Id of the order associated with this revenue